scim_filter_module.h File Reference

definition of FilterModule related classes. More...

## Classes

class | scim::FilterModule
| The class to manipulate the Filter modules. More...

## Namespaces

namespace | scim

## Typedefs

typedef unsigned int(* | scim::FilterModuleInitFunc) (const ConfigPointer &config)
| Initialize a Filter Module.
typedef FilterFactoryPointer(* | scim::FilterModuleCreateFilterFunc) (unsigned int index)
| Create an object of this FilterFactory class.
typedef bool(* | scim::FilterModuleGetFilterInfoFunc) (unsigned int index, FilterInfo &info)
| Get basic information of the FilterFactory class provided by this module.

## Functions

int | scim::scim_get_filter_module_list (std::vector< String > &mod_list)
| Get a name list of currently available Filter modules.

## Detailed Description

definition of FilterModule related classes.